package com.eactive.eai.transformer.message.generator;

import com.eactive.eai.transformer.layout.Layout;
import com.eactive.eai.transformer.message.JSONMessage;
import com.eactive.eai.transformer.message.Message;

public class JSONMessageGenerator implements MessageGenerator {
    public Message createMessage(Layout layout, boolean initialize,
        boolean useDefault) throws Exception {
    	JSONMessage message = (JSONMessage) layout.getRootItem();
        message = (JSONMessage) message.clone();
        message.createObject();
        return message;
    }
}
